콘텐츠로 건너뛰기

라이브 활동 시작

post

/messages/live_activity/start

이 엔드포인트를 사용하여 iOS 앱에 표시되는 라이브 활동을 원격으로 시작할 수 있습니다. 이 엔드포인트를 사용하려면 추가 설정이 필요합니다.

라이브 활동을 생성한 후에는 POST 요청을 보내 세그먼트, 연결된 오디언스 또는 특정 사용자를 타겟팅합니다. 특정 사용자는 외부 사용자 ID, 사용자 별칭 또는 둘 다를 사용하여 식별할 수 있습니다. Apple의 라이브 활동에 대한 자세한 내용은 ActivityKit 푸시 알림으로 라이브 활동 시작 및 업데이트를 참조하세요.

content-available이 설정되지 않은 경우 기본 Apple 푸시 알림 서비스(APNs) 우선순위는 10입니다. content-available이 설정된 경우 이 우선순위는 5입니다. 자세한 내용은 Apple 푸시 오브젝트를 참조하세요.

자동 해제 설정

라이브 활동이 시작된 후 자동으로 해제되도록 설정하려면 백엔드에서 업데이트 엔드포인트로 보낼 후속 요청을 스케줄하세요.

  1. 나중에 재사용할 수 있는 activity_id와 함께 /messages/live_activity/start 요청을 보냅니다.
  2. 해당 activity_id와 목표 종료 시간을 백엔드 스케줄러에 저장합니다.
  3. 목표 종료 시간에 end_activity를 true로 설정하여 /messages/live_activity/update 요청을 보냅니다.
  4. 동일한 업데이트 요청에서 해제 동작을 구성합니다. 자세한 내용은 /messages/live_activity/update 엔드포인트를 참조하세요.
  5. 메시지 활동 로그에서 전송 및 성과 이벤트를 확인합니다.

Endpoint reference

This reference is generated from the OpenAPI specification for this endpoint. To run the endpoint, copy the generated cURL example and send it from your terminal or Postman. You can also download the raw OpenAPI spec for this page at /docs/ko/assets/api/openapi/messaging_live_activity_start.yaml. Use this spec to validate that your requests include the correct parameters, fields, and structure before you send them. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!